Agda-2.5.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.Compiler.UHC.Primitives

Description

Defines some primitive functions.

Synopsis

- primFunNm :: String -> HsName
- primFunctions :: Map String (CompileT TCM CExpr)

# Documentation

primFunNm :: String -> HsName #

primFunctions :: Map String (CompileT TCM CExpr) #

Primitives defined for the UHC backend. Maps primitive names to the core expression to be used as function body.